import { LocationDto, DefinitionLinkDto, WorkspaceSymbolDto, LinkDto, CodeActionDto } from '@workbench-stack/extension-api';
import * as modes from '@vscode/monaco-editor/esm/vs/editor/common/modes';
import { SuggestResultDto } from '@workbench-stack/extension-api/lib/protocol';
import * as search from '@finder-stack/core';
export declare function _reviveLocationDto(data: LocationDto | LocationDto[]): modes.Location | modes.Location[];
export declare function _reviveLocationLinkDto(data: DefinitionLinkDto | DefinitionLinkDto[]): modes.LocationLink | modes.LocationLink[];
export declare function _reviveWorkspaceSymbolDto(data: WorkspaceSymbolDto | WorkspaceSymbolDto[] | undefined): search.IWorkspaceSymbol | search.IWorkspaceSymbol[] | undefined;
export declare function _reviveCodeActionDto(data: CodeActionDto[] | undefined): modes.CodeAction[];
export declare function _reviveLinkDTO(data: LinkDto): modes.ILink;
export declare function toCompletionSuggestion(result: SuggestResultDto): SuggestResultDto;
